swApp Events and C#

Discussion in 'SolidWorks' started by -=RapidHail=-, Apr 1, 2007.

  1. Is there anybody who write in C# and can show me a code with how to handle
    the events from SW Application?

    Is it have to be done sth like that:
    public event SldWorks.DSldWorksEvents_ActiveDocChangeNotifyEventHandler
    swAppActiveDocChangeNotify;

    or just
    SldWorks.SldWorks swApp;
    swApp = new SldWorks.SldWorksClass();
    swApp.ActiveModelDocChangeNotify += new
    DSldWorksEvents_ActiveModelDocChangeNotifyEventHandler
    swApp_ActiveModelDocChangeNotify);

    Nothing works :/

    Please help me with a sample of simple code with one handler in C#.

    Thanks in advance.
     
    -=RapidHail=-, Apr 1, 2007
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.